Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.tax
Class Country

    java.lang.Object
      com.bea.commerce.ebusiness.tax.Country

Deprecated See BEA Commerce product offering

    @Deprecated
    public class Country

extends Object

Constructor Summary
`Country()` Deprecated See BEA Commerce product offering

Method Summary
`void` | `addProvince(Province province)` Deprecated See BEA Commerce product offering
`Currency` | `getCurrency()` Deprecated See BEA Commerce product offering
`String` | `getEnglishLabel()` Deprecated See BEA Commerce product offering
`Integer` | `getISOCode()` Deprecated See BEA Commerce product offering
`Province` | `getProvince(String province_info)` Deprecated See BEA Commerce product offering
`String` | `getThreeCharacterAbbreviation()` Deprecated See BEA Commerce product offering
`String` | `getTwoCharacterAbbreviation()` Deprecated See BEA Commerce product offering
`boolean` | `isCanada()` Deprecated See BEA Commerce product offering
`boolean` | `isUS()` Deprecated See BEA Commerce product offering
`void` | `setCurrency(Currency curr)` Deprecated See BEA Commerce product offering
`void` | `setEnglishLabel(String label)` Deprecated See BEA Commerce product offering
`void` | `setISOCode(int code)` Deprecated See BEA Commerce product offering
`void` | `setThreeCharacterAbbreviation(String abbr)` Deprecated See BEA Commerce product offering
`void` | `setTwoCharacterAbbreviation(String abbr)` Deprecated See BEA Commerce product offering
`String` | `toString()` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Country

    public Country()

  Deprecated See BEA Commerce product offering

Method Detail

### setISOCode

    public void setISOCode(int code)

  Deprecated See BEA Commerce product offering

### getISOCode

    public Integer getISOCode()

  Deprecated See BEA Commerce product offering

### setEnglishLabel

    public void setEnglishLabel(String label)

  Deprecated See BEA Commerce product offering

### getEnglishLabel

    public String getEnglishLabel()

  Deprecated See BEA Commerce product offering

### setTwoCharacterAbbreviation

    public void setTwoCharacterAbbreviation(String abbr)
                                     throws IllegalArgumentException

  Deprecated See BEA Commerce product offering

  Throws
    `IllegalArgumentException`

### getTwoCharacterAbbreviation

    public String getTwoCharacterAbbreviation()

  Deprecated See BEA Commerce product offering

### setThreeCharacterAbbreviation

    public void setThreeCharacterAbbreviation(String abbr)
                                       throws IllegalArgumentException

  Deprecated See BEA Commerce product offering

  Throws
    `IllegalArgumentException`

### getThreeCharacterAbbreviation

    public String getThreeCharacterAbbreviation()

  Deprecated See BEA Commerce product offering

### setCurrency

    public void setCurrency(Currency curr)

  Deprecated See BEA Commerce product offering

### getCurrency

    public Currency getCurrency()

  Deprecated See BEA Commerce product offering

### addProvince

    public void addProvince(Province province)

  Deprecated See BEA Commerce product offering

### getProvince

    public Province getProvince(String province_info)
                         throws Exception

  Deprecated See BEA Commerce product offering

  Throws
    `Exception`

### isUS

    public boolean isUS()

  Deprecated See BEA Commerce product offering

### isCanada

    public boolean isCanada()

  Deprecated See BEA Commerce product offering

### toString

    public String toString()

  Deprecated See BEA Commerce product offering

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved